## visad.data.hdfeos
Class EosStruct

    java.lang.Object
      visad.data.hdfeos.EosStruct

Direct Known Subclasses:
  EosGrid, EosSwath

public abstract class EosStruct
extends Object

Field Summary
`(package private) static String` `D_TYPE`
`(package private) static String` `G_TYPE`
`(package private) int` `struct_id`

Constructor Summary
`EosStruct()`

Method Summary
`int` `getStructId()`
`void` `readData(String f_name, int[] start, int[] stride, int[] edge, int num_type, Calibration cal, float[] f_data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### G_TYPE

    static String G_TYPE

### D_TYPE

    static String D_TYPE

### struct_id

    int struct_id

Constructor Detail

### EosStruct

    public EosStruct()

Method Detail

### getStructId

    public int getStructId()

### readData

    public void readData(String f_name,
                         int[] start,
                         int[] stride,
                         int[] edge,
                         int num_type,
                         Calibration cal,
                         float[] f_data)
                  throws HdfeosException

  Throws:
    `HdfeosException`